[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIDesigner.ValidateRename

ValidateRename - method to validate the Rename process.

## Declaration

Source position: forms.pp line 1916

`public procedure TIDesigner.ValidateRename(`
`AComponent: TComponent;`
`const CurName: string;`
`const NewName: string`
`); virtual; abstract;`